Data - Retrieve Performance Counters
Belirtilen varlık kimliğiyle ilişkili performans sayaçlarının listesini alır.
GET http://<Servername>/OperationsManager/data/performanceCounters/{entityId}
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
entity
|
path | True |
string |
Varlık Kimliğini belirtme |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 200 OK |
TAMAM. Performans sayaçları başarıyla alındı. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Örnekler
RetrievePerformanceCounters
Örnek isteği
GET http://<Servername>/OperationsManager/data/performanceCounters/38D48350-6BBC-D158-E217-2237AF53D611
Örnek yanıt
{
"tableColumns": [
{
"field": "objectname",
"header": "ObjectName",
"type": null,
"hidden": false
},
{
"field": "countername",
"header": "CounterName",
"type": null,
"hidden": false
},
{
"field": "instancename",
"header": "InstanceName",
"type": null,
"hidden": false
}
],
"rows": [
{
"objectname": "Process",
"countername": "Percent Processor Time",
"instancename": "cshost"
},
{
"objectname": "Process",
"countername": "Private Bytes",
"instancename": "cshost"
}
]
}
Tanımlar
| Name | Description |
|---|---|
|
Performance |
|
|
Performance |
PerformanceCounterData
| Name | Tür | Description |
|---|---|---|
| counterName |
string |
Sayaç Adı |
| instanceName |
string |
örnek Adı |
| objectFullName |
string |
Nesnenin Tam Adı |
| objectId |
string |
Nesne kimliği |
| objectName |
string |
Nesne Adı |
| parentObjectId |
string |
üst Nesne Kimliği |
PerformanceCounterDataResponse
| Name | Tür | Description |
|---|---|---|
| performanceCounterDatas |
Performans Sayaçları Listesi |